{% extends 'base.html' %}

{% block content %}

{% if mensagem is not None %}
	<script>alert('{{mensagem}}')</script>
{% endif %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-
awesome/4.7.0/css/font-awesome.min.css">
<!-- Breadcrumbs-->
<ol class="breadcrumb">
	<li class="breadcrumb-item">
	<a href="realizar-consultas/">Início</a>
	</li>
	<li class="breadcrumb-item active">Listagem de Tags</li>
</ol>


<div class="card-header" style="margin-bottom: 1%">
	<i class="fas fa-table"></i>
	Listagem de Tags
</div>

<div class="container">
	<div id="lista_bancos" class="row mb-4" style="align-items: center	; justify-content: center; margin-left: 5%">
			<form action="relatorio1" method="POST" class="col">
				{%csrf_token %}
				<div class="col">
					<div class="form-group">
						<label for="cliente" style="font-weight:bold;">Selecione um cliente:</label>
						<select style="align-self: center;" class="mt form-control" name="id">
							<option value="0+0">Todos os clientes</option>
							{% for cliente in clientes %}
								{% if cliente.conta == id_conta and cliente.banco == id_banco%}	
									<option value="{{cliente.conta}}+{{cliente.banco}}" selected>{{cliente.nome}}  - {{cliente.conta}} - {{cliente.descricao}}</option>
								{% else %}
									<option value="{{cliente.conta}}+{{cliente.banco}}">{{cliente.nome}}  - {{cliente.conta}} - {{cliente.descricao}}</option>
								{% endif %}
							{% endfor %}
						</select>
					</div>
					<input type="submit" value="Buscar" width="100%" class="btn btn-primary"/>
				</div>
		</form>
	</div>
	<div class="row justify-content-center">
		<div id="no-more-tables">
			<table class="table-bordered table table-striped table-condensed cf text-center" id="dataTable">
				<thead>
					<tr role="row">
						<th class="sorting_asc" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Nome: activate to sort column descending" style="width: 500px;">
							Descrição
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Projeto: activate to sort column ascending" style="width: 500px;">
							Tag
						</th>
					</tr>
				</thead>
				<tbody> 
					{% for tag in tags %}
						<tr role="row" class="odd" style="align-items: center; text-justify: initial">
							<td data-title="Descrição" class="sorting_1">{{ tag.descricao }}</td>
							<td data-title="Tag" class="text-center">{{ tag.tag }}</td>
						</tr>
					{% endfor %}
				</tbody>
			</table>
		</div>
	</div>
</div>

<p class="small text-center text-muted my-5">
	<em></em>
</p>

</div>
<!-- Modal -->
<!-- /.container-fluid -->
<script>
	$("search").bind("input", function(e) {
		while( $(this).outerWidth() < this.scrollHeight +
										parseFloat($(this).css("borderTopWidth")) +
										parseFloat($(this).css("borderBottomWidth"))
				&& $(this).width() < 50 // Altura máxima
		) {
			$(this).height($(this).height()+1);
		};
	});
</script>
{% endblock %}